RDKit::Canon::AtomCompareFunctor Class Reference

`#include <new_canon.h>`

## Public Member Functions

| AtomCompareFunctor ()
| AtomCompareFunctor (Canon::canon_atom *atoms, const ROMol &m, const boost::dynamic_bitset<> *atomsInPlay=NULL, const boost::dynamic_bitset<> *bondsInPlay=NULL)
int | operator() (int i, int j) const

## Public Attributes

Canon::canon_atom * | dp_atoms
const ROMol * | dp_mol
const boost::dynamic_bitset * | dp_atomsInPlay
const boost::dynamic_bitset * | dp_bondsInPlay
bool | df_useNbrs
bool | df_useIsotopes
bool | df_useChirality
bool | df_useChiralityRings

## Detailed Description

Definition at line 215 of file new_canon.h.

## Constructor & Destructor Documentation

RDKit::Canon::AtomCompareFunctor::AtomCompareFunctor | ( |  | ) |

inline

Definition at line 352 of file new_canon.h.

RDKit::Canon::AtomCompareFunctor::AtomCompareFunctor | ( | Canon::canon_atom * | atoms,
|  | const ROMol & | m,
|  | const boost::dynamic_bitset<> * | atomsInPlay = `NULL`,
|  | const boost::dynamic_bitset<> * | bondsInPlay = `NULL`
| ) |  |

inline

Definition at line 357 of file new_canon.h.

## Member Function Documentation

int RDKit::Canon::AtomCompareFunctor::operator() | ( | int | i,
|  | int | j
| ) |  | const

inline

Definition at line 364 of file new_canon.h.

References RDKit::Canon::canon_atom::bonds, RDKit::Canon::bondholder::compare(), PRECONDITION, and RDKit::Canon::updateAtomNeighborIndex().

## Member Data Documentation

bool RDKit::Canon::AtomCompareFunctor::df_useChirality

Definition at line 349 of file new_canon.h.

bool RDKit::Canon::AtomCompareFunctor::df_useChiralityRings

Definition at line 350 of file new_canon.h.

bool RDKit::Canon::AtomCompareFunctor::df_useIsotopes

Definition at line 348 of file new_canon.h.

bool RDKit::Canon::AtomCompareFunctor::df_useNbrs

Definition at line 347 of file new_canon.h.

Canon::canon_atom* RDKit::Canon::AtomCompareFunctor::dp_atoms

Definition at line 344 of file new_canon.h.

const boost::dynamic_bitset* RDKit::Canon::AtomCompareFunctor::dp_atomsInPlay

Definition at line 346 of file new_canon.h.

const boost::dynamic_bitset * RDKit::Canon::AtomCompareFunctor::dp_bondsInPlay

Definition at line 346 of file new_canon.h.

const ROMol* RDKit::Canon::AtomCompareFunctor::dp_mol

Definition at line 345 of file new_canon.h.

The documentation for this class was generated from the following file:

- new_canon.h